#include <SDL2/SDL.h>
#pragma once

typedef struct{
    SDL_Window* window;
    SDL_Renderer* renderer;
    SDL_Event event;

    uint8_t line;
    uint8_t x;
    uint8_t register_selector;
    uint8_t data_register;
}display_t;

void display_set_register_selector(display_t* display, uint8_t value);

void display_pixel_on(display_t* display, int x, int y);
void display_pixel_off(display_t* display, int x, int y);
void display_clear(display_t* display);
void display_init(display_t* display);
